Bug 851924 - (CVE-2012-3972) CVE-2012-3972 Mozilla: Out-of-bounds read in format-number in XSLT (MFSA 2012-65)
CVE-2012-3972 Mozilla: Out-of-bounds read in format-number in XSLT (MFSA 2012...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120828,repor...
: Security
Depends On:
Blocks: 847589
  Show dependency treegraph
 
Reported: 2012-08-27 00:07 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 01:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-08-27 00:07:28 EDT
Security researcher Nicolas Grégoire used the Address Sanitizer tool to discover an out-of-bounds read in the format-number feature of XSLT, which can cause inaccurate formatting of numbers and information leakage. This is not directly exploitable. 

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Security researcher Nicolas Grégoire as the original reporter of this flaw.

External Reference:

https://www.mozilla.org/security/advisories/mfsa2012-65/
Comment 1 errata-xmlrpc 2012-08-29 00:24:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1211 https://rhn.redhat.com/errata/RHSA-2012-1211.html
Comment 2 errata-xmlrpc 2012-08-29 00:44:44 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1210 https://rhn.redhat.com/errata/RHSA-2012-1210.html

Note You need to log in before you can comment on or make changes to this bug.